import React from 'react';
declare enum StandardErrorCodes {
    Forbidden = 403,
    NotFound = 404,
    NetworkError = 408
}
declare type ErrorCode = StandardErrorCodes | 'ChunkLoadError' | 'custom';
export interface ErrorPageProps {
    title: string | React.ReactChild;
    message?: string | React.ReactChild;
    code?: ErrorCode;
    image?: React.FunctionComponent<React.SVGProps<SVGSVGElement>>;
}
export declare function ErrorPage(props: ErrorPageProps): JSX.Element;
export {};
